org.apache.lucene.search

## Interface FieldCache.Parser

All Known Subinterfaces:
  FieldCache.ByteParser, FieldCache.DoubleParser, FieldCache.FloatParser, FieldCache.IntParser, FieldCache.LongParser, FieldCache.ShortParser

Enclosing interface:
  FieldCache

    public static interface FieldCache.Parser

Marker interface as super-interface to all parsers. It is used to specify a custom parser to `SortField.SortField(String, FieldCache.Parser)`.

### Method Summary

Methods
`TermsEnum` `termsEnum(Terms terms)` Pulls a `TermsEnum` from the given `Terms`.

### Method Detail

#### termsEnum

    TermsEnum termsEnum(Terms terms)
                        throws IOException

Pulls a `TermsEnum` from the given `Terms`. This method allows certain parsers to filter the actual TermsEnum before the field cache is filled.

Parameters:
  `terms` - the `Terms` instance to create the `TermsEnum` from.
Returns:
  a possibly filtered `TermsEnum` instance, this method must not return `null`.
Throws:
  `IOException` - if an `IOException` occurs